Debian Bug report logs - #408787
please add armel support

version graph

Package: nictools-pci; Maintainer for nictools-pci is Debian QA Group <packages@qa.debian.org>; Source for nictools-pci is src:nictools-pci.

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Sun, 28 Jan 2007 13:03:13 UTC

Severity: wishlist

Tags: patch

Merged with 461096

Found in version nictools-pci/1.3.8-1.1

Fixed in version nictools-pci/1.3.8-1.2

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alain Schroeder <alain@debian.org>:
Bug#408787; Package nictools-pci. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Alain Schroeder <alain@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: please add armel support
Date: Sun, 28 Jan 2007 14:59:03 +0200
[Message part 1 (text/plain, inline)]
Package: nictools-pci
Severity: wishlist
Tags: patch
User: debian-arm@lists.debian.org
Usertags: eabi

Please add support for arm eabi[1] and bigendian ports. In this packages
case it only needs adding "armel" and "armeb" to Architecture: line.

[1] http://wiki.debian.org/ArmEabiPort

[nictools-pci-1.3.8-arm.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alain Schroeder <alain@debian.org>:
Bug#408787; Package nictools-pci. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Alain Schroeder <alain@debian.org>. Full text and rfc822 format available.

Message #10 received at 408787@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 428936@bugs.debian.org, 408787@bugs.debian.org, 444595@bugs.debian.org
Subject: Diff of the NMU
Date: Sat, 12 Jan 2008 01:07:19 +0100
[Message part 1 (text/plain, inline)]
I have just done an NMU of nictools-pci to fix the long standing bugs.
Please find attached the diff of the NMU.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[NMU.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 408787-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 408787-close@bugs.debian.org
Subject: Bug#408787: fixed in nictools-pci 1.3.8-1.1
Date: Sat, 12 Jan 2008 00:17:03 +0000
Source: nictools-pci
Source-Version: 1.3.8-1.1

We believe that the bug you reported is fixed in the latest version of
nictools-pci, which is due to be installed in the Debian FTP archive:

nictools-pci_1.3.8-1.1.diff.gz
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.1.diff.gz
nictools-pci_1.3.8-1.1.dsc
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.1.dsc
nictools-pci_1.3.8-1.1_amd64.deb
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 408787@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated nictools-pci package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 00:57:52 +0100
Source: nictools-pci
Binary: nictools-pci
Architecture: source amd64
Version: 1.3.8-1.1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 nictools-pci - Diagnostic tools for many PCI ethernet cards
Closes: 408787 428936 444595
Changes: 
 nictools-pci (1.3.8-1.1) unstable; urgency=low
 .
   * Non-maintainer upload from the Z├╝rich BSP.
   * Use patch from Micha Lenk to fix FTBFS: provide linux macros
     set_unaligned() and get_unaligned() in new file unaligned.h
     previously provided by package linux-libc-dev (closes: #428936).
   * Add armel and armeb to the list of supported architectures
     (closes: #408787).
   * Fix a typo in rtl8139-diag(8) (closes: #444595).
Files: 
 88928975b1bb1c16177a3a0ba0896ae3 604 net extra nictools-pci_1.3.8-1.1.dsc
 6d78f97cb77ec15a453a3dac3ccccdff 21318 net extra nictools-pci_1.3.8-1.1.diff.gz
 f667de22506f31ebb66a15bd59eb8ef8 244840 net extra nictools-pci_1.3.8-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiAPKw3ao2vG823MRAjpsAJ4ydmJT1/cX8kKhuUbxhkkIMIacoQCfTOap
UcnwZF++cKcxIknnqT8yJCE=
=w+ER
-----END PGP SIGNATURE-----





Bug reopened, originator not changed. Request was from "Martin Guy" <martinwguy@yahoo.it> to control@bugs.debian.org. (Thu, 17 Jan 2008 16:06:07 GMT) Full text and rfc822 format available.

Bug no longer marked as fixed in version 1.3.8-1.1. Request was from "Martin Guy" <martinwguy@yahoo.it> to control@bugs.debian.org. (Thu, 17 Jan 2008 16:06:08 GMT) Full text and rfc822 format available.

Forcibly Merged 408787 461096. Request was from "Martin Guy" <martinwguy@yahoo.it> to control@bugs.debian.org. (Thu, 17 Jan 2008 16:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alain Schroeder <alain@debian.org>:
Bug#408787; Package nictools-pci. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Alain Schroeder <alain@debian.org>. Full text and rfc822 format available.

Message #26 received at 408787@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: 408787@bugs.debian.org
Cc: "Aurelien Jarno" <aurel32@debian.org>
Subject: armel/armeb have not been added in new nictools-pci upload
Date: Thu, 17 Jan 2008 16:30:41 +0000
Hi!
  Just to say the why of the reopening: armel and armeb have not been
added to debian/control, whatever the changelog may say

Bless

    M




Information forwarded to debian-bugs-dist@lists.debian.org, Alain Schroeder <alain@debian.org>:
Bug#408787; Package nictools-pci. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Alain Schroeder <alain@debian.org>. Full text and rfc822 format available.

Message #31 received at 408787@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Martin Guy <martinwguy@yahoo.it>
Cc: 408787@bugs.debian.org
Subject: Re: armel/armeb have not been added in new upload
Date: Sun, 20 Jan 2008 22:48:41 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 17, 2008 at 04:05:04PM +0000, Martin Guy wrote:
> reopen 408787
> notfixed 408787 1.3.8-1.1
> forcemerge 408787 461096
> thanks
> 
> armel and armeb have not yet been added to debian/control in the new
> upload, despite the changelog saying so
> 

Oops sorry about that. That's fixed in the new upload. Please find the
diff of the NMU attached.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[NMU2.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 408787-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 408787-close@bugs.debian.org
Subject: Bug#408787: fixed in nictools-pci 1.3.8-1.2
Date: Sun, 20 Jan 2008 22:02:13 +0000
Source: nictools-pci
Source-Version: 1.3.8-1.2

We believe that the bug you reported is fixed in the latest version of
nictools-pci, which is due to be installed in the Debian FTP archive:

nictools-pci_1.3.8-1.2.diff.gz
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.2.diff.gz
nictools-pci_1.3.8-1.2.dsc
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.2.dsc
nictools-pci_1.3.8-1.2_amd64.deb
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 408787@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated nictools-pci package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 20 Jan 2008 22:41:36 +0100
Source: nictools-pci
Binary: nictools-pci
Architecture: source amd64
Version: 1.3.8-1.2
Distribution: unstable
Urgency: low
Maintainer: Alain Schroeder <alain@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 nictools-pci - Diagnostic tools for many PCI ethernet cards
Closes: 408787
Changes: 
 nictools-pci (1.3.8-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Really add armel and armeb to the list of supported architectures
     (closes: #408787).
Files: 
 2cfa4ba5543ddeff9dab1b73c7a4330a 616 net extra nictools-pci_1.3.8-1.2.dsc
 436a8db4affac76aa17e3980dab2e63f 21354 net extra nictools-pci_1.3.8-1.2.diff.gz
 dc10f2a67e1aab6e1595df0dcc6d58b8 244876 net extra nictools-pci_1.3.8-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHk8CDw3ao2vG823MRAu9lAJkBF5J8rbo9pbar+0SNYd+QQb1m2gCdGp0k
IV2Hd6EK9CCTATW9V/YURqM=
=5DgC
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Martin Guy" <martinwguy@yahoo.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Feb 2008 07:32:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:09:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.